apiVersion: apps/v1
kind: Deployment
metadata:
  name: nextjs-depl
spec:
  replicas: {{ .Values.nextjs.hostName }}
  selector:
    matchLabels:
      app: nextjs
  template:
    metadata:
      labels:
        app: nextjs
    spec:
      imagePullSecrets:
        - name: "{{ .Values.images.registryCreds }}"
      containers:
        - name: nextjs
          image: "{{ .Values.images.nextjsDeployment }}"
          imagePullPolicy: Always
          env:
            - name: HOST_URL
              valueFrom:
                configMapKeyRef:
                  name: hapster-cm
                  key: HOST_URL
          ports:
          - containerPort: 3000
            name: nodejs
